Update libass to bugfix release 0.9.9

Bug #529860 reported by greg on 2010-03-01
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libass (Ubuntu)
Undecided
Unassigned
Declined for Lucid by Nathan Handler

Bug Description

libass 0.9.9 was just released and I'd like to have it integrated into Lucid, if possible, as the new release includes important bugfixes. From the changelog:

libass (0.9.9)
 * Parse numbers in a locale-independent way
 * Remove support for freetype < 2.2.1, fontconfig < 2.4.1; this especially
   means libass will not extract fonts into the file system anymore
 * Disable script file size limit
 * Match fonts against the full name ("name for humans")
 * Reset clip mode after \iclip
 * Improve VSFilter compatibility
 * Update API documentation
 * A couple of smaller fixes and cleanups

Especially the first point is important, as it unbreaks libass on many locales which use a comma as the decimal separator in numbers. Also, the \iclip fix can be important, as the internal state of libass can be easily screwed up if the \iclip feature is used without the fix.
There haven't been many changes apart from bugfixes in 0.9.9, so an update should be trivial and free of side effects.

Related branches

greg (grigorig) wrote :

Updated source package.

greg (grigorig) wrote :
greg (grigorig) wrote :
greg (grigorig) wrote :
StefanPotyra (sistpoty) wrote :

diff looks sane, FFe granted, please go ahead.

Changed in libass (Ubuntu):
status: New → Confirmed
StefanPotyra (sistpoty) wrote :

looks good from the sponsoring side. Just one tiny comment: I've replaced the tar.gz with one I created by downloading the tar.bz2 from code.google.com by just bunzip2 *tar.gz; gzip --best *tar. That way not only the contents, but also the md5sum of the .tar matches.
Uploading, thanks!

StefanPotyra (sistpoty) wrote :

oh, and I adjusted the version number to 0.9.9-0ubuntu1 to denote that the package changes were not inherited from Debian (that version is below 0.9.9-1, so that we can sync with Debian once 0.9.9 is packaged there).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libass - 0.9.9-0ubuntu1

---------------
libass (0.9.9-0ubuntu1) lucid; urgency=low

  * New upstream release 0.9.9 (LP: #529860)
 -- Grigori Goronzy <email address hidden> Tue, 02 Mar 2010 10:38:43 +0100

Changed in libass (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers